View Issue Details

IDProjectCategoryView StatusLast Update
0000720SymmetricDSBugpublic2014-02-02 20:52
ReportermhanesAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0.9 
Target Version3.0.10Fixed in Version3.0.10 
Summary0000720: Variable Transform source-node-id incorrect on Extract type transforms
DescriptionA variable transform of type source-node-id incorrectly puts in the target node id in the case of an Extract transform, not the source node id as expected.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 4c783745

2012-07-19 19:36:29

chenson

Details Diff
0000720: Variable Transform source-node-id incorrect on Extract type transforms
0000720
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/SchemaPerNodeDataLoaderFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/IncomingBatch.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/Batch.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DataProcessor.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ProtocolDataReader.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/TableExtractDataReaderSource.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/BshColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/VariableColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractProtocolDataWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriter.java Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/reader/CsvDataReaderTest.java Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/writer/AbstractWriterTest.java Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/writer/StagingDataWriterTest.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/integrate/AbstractXmlPublisherExtensionPoint.java Diff File
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/integrate/XmlPublisherFilterTest.java Diff File

SymmetricDS: master 0677fab0

2012-07-20 09:42:14

eegeek

Details Diff
0000720: Variable column transform now supports target-node-id
0000720
mod - symmetric-assemble/src/docbook/configuration.xml Diff File

Issue History

Date Modified Username Field Change
2012-07-19 15:48 mhanes New Issue
2012-07-19 15:52 chenson Assigned To => chenson
2012-07-19 15:52 chenson Status new => assigned
2012-07-19 15:52 chenson Product Version 3.0.11 => 3.0.9
2012-07-19 15:52 chenson Target Version 3.0.11 => 3.0.10
2012-07-20 14:43 chenson Status assigned => resolved
2012-07-20 14:43 chenson Fixed in Version => 3.0.10
2012-07-20 14:43 chenson Resolution open => fixed
2012-07-23 16:02 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6045
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6046
2015-07-30 21:49 Changeset attached => SymmetricDS master 0677fab0
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 4c783745